from django.contrib.auth import get_user_model
from django.contrib.auth.backends import ModelBackend

class EmailBackend(ModelBackend):
    def authenticate(self, request, email, password, **kwargs):
        UserModel = get_user_model()
        try:
            user = UserModel.objects.get(email=email)
            
        except UserModel.DoesNotExist:
            return None
        else:
            if user.check_password(password):
                return user
        return None